%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%global module_name sqlite3dbm

Name:           python-%{module_name}
Version:        0.1.4
Release:        6%{?dist}
Summary:        SQLite-backed dictionary conforming to the dbm interface

License:        ASL 2.0
URL:            https://github.com/Yelp/sqlite3dbm/
Source0:        http://pypi.python.org/packages/source/s/sqlite3dbm/%{module_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
This module provides a SQLite-backed dictionary conforming to the dbm
interface, along with a shelve class that wraps the dict and provides
serialization for it.


%prep
%setup -qn %{module_name}-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc README.md LICENSE.txt AUTHORS.txt CHANGES.txt
%{python_sitelib}/%{module_name}
%{python_sitelib}/%{module_name}-*.egg-info


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 07 2012 Ian Weller <iweller@redhat.com> - 0.1.4-2
- Add python-setuptools to BuildRequires
- s/python-devel/python2-devel/
- Make definition of python_sitelib conditional
- Use more specific filenames in file list

* Fri Jan 13 2012 Ian Weller <iweller@redhat.com> - 0.1.4-1
- Initial package build
